# Generated from benchmarker-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name benchmarker

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: pretty good benchmark library
License: MIT
URL: https://kwatch.github.io/benchmarker/ruby.html
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
# BuildRequires: rubygem(oktest) >= 1.0
# BuildRequires: rubygem(oktest) < 2
BuildArch: noarch

%description
Benchmarker is a pretty good benchmark tool for Ruby.
Compared to `benchmark.rb` (standard library), Benchmarker has a lot of useful
features.
See: https://kwatch.github.io/benchmarker/ruby.html.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/CHANGES.md
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%{gem_instdir}/setup.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/benchmarker.gemspec
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 1.0.0-1
- Initial package
